Package Details: dexed-git 0.9.5.r9.g7026151-1

Git Clone URL: https://aur.archlinux.org/dexed-git.git (read-only, click to copy)
Package Base: dexed-git
Description: A software synth closely modelled on the Yamaha DX7 (git version)
Upstream URL: http://asb2m10.github.io/dexed/
Licenses: GPL3
Groups: vst-plugins, pro-audio
Conflicts: dexed, dexed-vst-git
Provides: dexed
Submitter: SpotlightKid
Maintainer: SpotlightKid
Last Packager: SpotlightKid
Votes: 12
Popularity: 0.56
First Submitted: 2018-03-23 22:57
Last Updated: 2020-12-29 14:54

Required by (0)

Sources (6)

Latest Comments

1 2 Next › Last »

Gimmeapill commented on 2020-12-30 20:50

@SpotlightKid: confirmed, it builds fine now - thanks!

SpotlightKid commented on 2020-12-29 16:56

@Gimmeapill: fixed (I think)

Gimmeapill commented on 2020-12-27 18:25

Hi SpotlightKid,

In order to build in a clean chroot (with extra-x86_64-build) a few more dependencies are needed: 'libx11' 'libxrandr' 'libxinerama' 'libxcursor' 'jack'

kamelie1706 commented on 2020-05-21 21:19

Thx! Totally missed that it was included there. For the preset ... the preset selection is not empty when I open the gui. Thx for checking!

SpotlightKid commented on 2020-05-21 21:00

@kamelie1706: The LV2 version of Dexed is available in the distrho-lv2-git package. The port is not from the original author of Dexed, thats why it's a different package.

Re: selecting presets in Carla, works here, but the preset names are not displayed in the drop-down select, it just has 32 empty entries. Could be a bug either in Carla or Dexed, I'll check with Carla's author.

kamelie1706 commented on 2020-05-21 20:36

This is a pity lv2 is not on the table (while claimed on the front page - almost first line ...): Multi platform (OS X, Windows or Linux) and multi format (VST, AU, LV2)

Or did I miss something?

I cannot manage to select the preset from the rack in Carla, need to open the gui. Minor bug but is there a setup I missed?

Overall the best synth we have!

SpotlightKid commented on 2020-04-27 18:17

@all The VST2 build works again, thanks to upstream. This requires the steinberg-vst36 AUR package in makedepends, so let's hope that Steinberg keeps the source file for that available for download.

SpotlightKid commented on 2020-01-31 12:45

@QuentinFaidide: it seems that upstream removed the VST2 build from the Linux Makefile. Not much I can do about it, really. I tried running Projucer to create a Linux build with VST2 support, but wasn't successful. I created an upstream issue: https://github.com/asb2m10/dexed/issues/198

QuentinFaidide commented on 2020-01-29 22:00

As of right now, the only library file provided after compilation is Dexed.a, and not Dexed.so, so the script fails at install stage (when copying .so). Should be easy to fix though.

SpotlightKid commented on 2018-08-21 14:00

Notice: the updated package version (0.9.4.1*), which I put out last week, now has a functioning plug-in and stand-alone version again!